using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace FlickrExplorer
{
	/// <summary>
	/// Description rsume de FileAlreadyExists.
	/// </summary>
	public class FileAlreadyExists : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Button btnOverwrite;
		private System.Windows.Forms.Button button2;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.LinkLabel linkFile;
		private System.Windows.Forms.CheckBox chkDoTheSameAction;
        private CheckBox chkAutomaticallyRename;
        private Label lbNewFileName;
		/// <summary>
		/// Variable ncessaire au concepteur.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public string FilePath
		{
			set { 
				linkFile.LinkArea = new LinkArea(0,value.Length);
				linkFile.Text = value;
				linkFile.Links[0].LinkData = value;
				}
		}

        public string NewFilePath
        {
            set
            {
                lbNewFileName.Text = "( New file name : " + value + " )";
            }
        }

		public bool DoTheSameAction
		{
			get { return chkDoTheSameAction.Checked; }
		}

        public bool AutomaticallyRename
        {
            get { return chkAutomaticallyRename.Checked; }
        }

		public FileAlreadyExists()
		{
			//
			// Requis pour la prise en charge du Concepteur Windows Forms
			//
			InitializeComponent();

			//
			// TODO : ajoutez le code du constructeur aprs l'appel  InitializeComponent
			//
		}

		/// <summary>
		/// Nettoyage des ressources utilises.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Code gnr par le Concepteur Windows Form
		/// <summary>
		/// Mthode requise pour la prise en charge du concepteur - ne modifiez pas
		/// le contenu de cette mthode avec l'diteur de code.
		/// </summary>
		private void InitializeComponent()
		{
            this.label1 = new System.Windows.Forms.Label();
            this.btnOverwrite = new System.Windows.Forms.Button();
            this.button2 = new System.Windows.Forms.Button();
            this.chkDoTheSameAction = new System.Windows.Forms.CheckBox();
            this.label2 = new System.Windows.Forms.Label();
            this.linkFile = new System.Windows.Forms.LinkLabel();
            this.chkAutomaticallyRename = new System.Windows.Forms.CheckBox();
            this.lbNewFileName = new System.Windows.Forms.Label();
            this.SuspendLayout();
            // 
            // label1
            // 
            this.label1.Location = new System.Drawing.Point(8, 8);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(200, 16);
            this.label1.TabIndex = 0;
            this.label1.Text = "The following file already exists :";
            // 
            // btnOverwrite
            // 
            this.btnOverwrite.Location = new System.Drawing.Point(42, 200);
            this.btnOverwrite.Name = "btnOverwrite";
            this.btnOverwrite.Size = new System.Drawing.Size(88, 23);
            this.btnOverwrite.TabIndex = 2;
            this.btnOverwrite.Text = "Overwrite";
            this.btnOverwrite.Click += new System.EventHandler(this.button1_Click);
            // 
            // button2
            // 
            this.button2.Location = new System.Drawing.Point(146, 200);
            this.button2.Name = "button2";
            this.button2.Size = new System.Drawing.Size(88, 23);
            this.button2.TabIndex = 3;
            this.button2.Text = "Don\'t overwrite";
            this.button2.Click += new System.EventHandler(this.button2_Click);
            // 
            // chkDoTheSameAction
            // 
            this.chkDoTheSameAction.Location = new System.Drawing.Point(10, 176);
            this.chkDoTheSameAction.Name = "chkDoTheSameAction";
            this.chkDoTheSameAction.Size = new System.Drawing.Size(280, 16);
            this.chkDoTheSameAction.TabIndex = 4;
            this.chkDoTheSameAction.Text = "Do the same action for all files";
            // 
            // label2
            // 
            this.label2.Location = new System.Drawing.Point(10, 114);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(160, 16);
            this.label2.TabIndex = 5;
            this.label2.Text = "Do you want to overwrite it ?";
            // 
            // linkFile
            // 
            this.linkFile.Location = new System.Drawing.Point(8, 24);
            this.linkFile.Name = "linkFile";
            this.linkFile.Size = new System.Drawing.Size(256, 80);
            this.linkFile.TabIndex = 6;
            this.linkFile.TabStop = true;
            this.linkFile.Text = "linkLabel1";
            this.linkFile.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkFile_LinkClicked);
            // 
            // chkAutomaticallyRename
            // 
            this.chkAutomaticallyRename.Location = new System.Drawing.Point(11, 134);
            this.chkAutomaticallyRename.Name = "chkAutomaticallyRename";
            this.chkAutomaticallyRename.Size = new System.Drawing.Size(253, 19);
            this.chkAutomaticallyRename.TabIndex = 7;
            this.chkAutomaticallyRename.Text = "Automatically rename duplicates";
            this.chkAutomaticallyRename.CheckedChanged += new System.EventHandler(this.chkAutomaticallyRename_CheckedChanged);
            // 
            // lbNewFileName
            // 
            this.lbNewFileName.Location = new System.Drawing.Point(27, 156);
            this.lbNewFileName.Name = "lbNewFileName";
            this.lbNewFileName.Size = new System.Drawing.Size(237, 16);
            this.lbNewFileName.TabIndex = 8;
            this.lbNewFileName.Text = "( New file name : ";
            // 
            // FileAlreadyExists
            // 
            this.ClientSize = new System.Drawing.Size(274, 235);
            this.ControlBox = false;
            this.Controls.Add(this.lbNewFileName);
            this.Controls.Add(this.chkAutomaticallyRename);
            this.Controls.Add(this.linkFile);
            this.Controls.Add(this.label2);
            this.Controls.Add(this.chkDoTheSameAction);
            this.Controls.Add(this.button2);
            this.Controls.Add(this.btnOverwrite);
            this.Controls.Add(this.label1);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
            this.Name = "FileAlreadyExists";
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
            this.Text = "The file already exists.";
            this.ResumeLayout(false);

		}
		#endregion

		private void button1_Click(object sender, System.EventArgs e)
		{
			DialogResult = DialogResult.OK;
			Close();
		}

		private void button2_Click(object sender, System.EventArgs e)
		{
			DialogResult = DialogResult.Cancel;
			Close();
		}

		private void linkFile_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{		
			string target = e.Link.LinkData as string;		
			System.Diagnostics.Process.Start(target);
		}

        private void chkAutomaticallyRename_CheckedChanged(object sender, EventArgs e)
        {
            if (chkAutomaticallyRename.Checked)
            {
                btnOverwrite.Enabled = false;
            }
            else
            {
                btnOverwrite.Enabled = true;
            }
        }
	}
}
